PromotionsCoupons
Get coupon
GET
/v1/coupons/{couponId}Get coupon. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Path Parameters
couponId*string
Identifier of the coupon.
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/coupons/7204558912004325301" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"{ "id": "7204558912004325301", "storeId": "7204558912004325301", "sellerId": "7204558912004325301", "name": "Example resource", "description": "Example description.", "status": "draft", "type": "percentage", "target": "order", "amount": 1, "allocation": "once", "maxQuantity": 1, "applyAfterTaxes": false, "isAutomatic": false, "validFrom": "2026-08-01T15:30:00Z", "validTo": "2026-08-01T15:30:00Z", "usageLimit": 1, "usageCount": 1, "customerUsageLimit": 1, "combineWithOtherDiscounts": false, "rules": [ { "field": "cartSubtotal", "operator": "eq", "decimalValues": [ 1 ], "integerValues": [ 1 ], "resourceIds": [ "example" ] } ], "codes": [ { "id": "7204558912004325301", "code": "example_code", "usageLimit": 1, "usageCount": 1, "assignedCustomers": [ { "customerId": "7204558912004325301", "email": "andrea@example.com", "firstName": "Andrea", "lastName": "Ramos" } ], "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z" } ], "createdOn": "2026-08-01T15:30:00Z", "updatedOn": "2026-08-01T15:30:00Z"}